> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a subscription plan

> Operacion: Update a subscription plan.



## OpenAPI

````yaml /generated/specs/operations.json post /api/v1/subscription_plan/update
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/subscription_plan/update:
    post:
      tags:
        - Subscription Plan
      summary: Update a subscription plan
      description: 'Operacion: Update a subscription plan.'
      operationId: SubscriptionPlanController_update
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSubscriptionPlanDto'
      responses:
        '200':
          description: Plan updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionPlanResponseDto'
        '404':
          description: Plan not found
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateSubscriptionPlanDto:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        subscription_currency_id:
          type: number
        currency_value:
          type: number
        description:
          type: string
      required:
        - id
    SubscriptionPlanResponseDto:
      type: object
      properties:
        id:
          type: number
        name:
          type: object
        subscription_currency_id:
          type: number
        currency_name:
          type: object
        currency_value:
          type: object
        description:
          type: object
      required:
        - id
        - subscription_currency_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````